"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("node");
class ConsoleLogger {
    logToConsole(prefix, ...args) {
        var message = args.length ? args[0] : '';
        console.log(prefix + (message && (ConsoleLogger.SEPARATOR + message) || message), args.slice(1, args.length));
    }
    emergency(...args) {
        this.logToConsole(ConsoleLogger.EMERGENCY_PREFIX, args);
    }
    alert(...args) {
        this.logToConsole(ConsoleLogger.ALERT_PREFIX, args);
    }
    crit(...args) {
        this.logToConsole(ConsoleLogger.CRITICAL_PREFIX, args);
    }
    error(...args) {
        this.logToConsole(ConsoleLogger.ERROR_PREFIX, args);
    }
    warning(...args) {
        this.logToConsole(ConsoleLogger.WARNING_PREFIX, args);
    }
    notice(...args) {
        this.logToConsole(ConsoleLogger.NOTICE_PREFIX, args);
    }
    info(...args) {
        this.logToConsole(ConsoleLogger.INFO_PREFIX, args);
    }
    debug(...args) {
        this.logToConsole(ConsoleLogger.DEBUG_PREFIX, args);
    }
}
ConsoleLogger.EMERGENCY_PREFIX = "EMERGENCY";
ConsoleLogger.ALERT_PREFIX = "ALERT";
ConsoleLogger.CRITICAL_PREFIX = "CRITICAL";
ConsoleLogger.ERROR_PREFIX = "ERROR";
ConsoleLogger.WARNING_PREFIX = "WARNING";
ConsoleLogger.NOTICE_PREFIX = "NOTICE";
ConsoleLogger.INFO_PREFIX = "INFO";
ConsoleLogger.DEBUG_PREFIX = "DEBUG";
ConsoleLogger.SEPARATOR = ": ";
exports.ConsoleLogger = ConsoleLogger;
//# sourceMappingURL=console-logger.js.map